(function() {
    // Load plugin specific language pack
    tinymce.PluginManager.requireLangPack('ink_appointments');
	
    tinymce.create('tinymce.plugins.ink_appointments', {		 
        init : function(ed, url) {
			
            // Register the command so that it can be invoked by using tinyMCE.activeEditor.execCommand('mceExample');
            ed.addCommand('mce_ink_appointments', function() {
				
                ed.windowManager.open({
					
                    file : url + '/window.php',
                    width : 400 + ed.getLang('apt_lang.delta_width', 0),
                    height : 180 + ed.getLang('apt_lang.delta_height', 0),
                    inline : 1
					
                }, {
					
                    plugin_url : url // Plugin absolute URL
					
                });
            });
            // Register example button
            ed.addButton('ink_appointments', {				
                image : url + '/application-form-add-icon.png',
                title : 'Appointment Shortcode',
                cmd : 'mce_ink_appointments'
				
				
            });
            // Add a node change handler, selects the button in the UI when a image is selected
            ed.onNodeChange.add(function(ed, cm, n) {
				
                cm.setActive('mce_ink_appointments', n.nodeName == 'IMG');
				
            });
        }, 
        getInfo : function() {
			
            return {
				
                longname : "InkThemes Appointments Shortcode Framework",
                author : 'InkThemes Appointments',
                authorurl : 'http://www.inkthemes.com/',
                infourl : 'http://www.inkthemes.com/',
                version : "1.0"
					
            };
			
        }
		
    });
    // Register plugin
    tinymce.PluginManager.add('ink_appointments', tinymce.plugins.ink_appointments);
	
})();